#include <Application.h>
#include <Window.h>
#include <MenuItem.h>
#include <MenuBar.h>
#include <TranslationUtils.h>
#include <Bitmap.h>
#include <CheckBox.h>

#include "RadioMenuItem.h"
#include "CheckMenuItem.h"

int main()
{
	BApplication app("application/x-vnd.muramoto.RadioMenuItemTest");
	BWindow *win = new BWindow(BRect(100, 100, 300, 300), "RadioMenuItemTest",
		B_TITLED_WINDOW_LOOK, B_NORMAL_WINDOW_FEEL,
		B_ASYNCHRONOUS_CONTROLS | B_QUIT_ON_WINDOW_CLOSE);

	BMenuBar *menubar = new BMenuBar(BRect(0,0,0,0), "menu");

	BMenu *menu = new BMenu("Menu");
	RadioMenuItem *item1 = new RadioMenuItem("1", NULL, 'a');
	RadioMenuItem *item2 = new RadioMenuItem("2", NULL, 'b');
	RadioMenuItem *item3 = new RadioMenuItem("3", NULL);
	item1->SetMarked(true);
	item1->SetEnabled(false);
	menu->AddItem(item1);
	menu->AddItem(item2);
	menu->AddItem(item3);
	menu->SetRadioMode(true);
	menubar->AddItem(menu);

	BMenu *cmenu = new BMenu("Menu2");
	CheckMenuItem *citem = new CheckMenuItem("Check Me", NULL, 'a');
	cmenu->AddItem(citem);
	cmenu->SetRadioMode(true);
	menubar->AddItem(cmenu);
	
	win->AddChild(menubar);
	BRect viewRect = win->Bounds();
	viewRect.top = menubar->Frame().bottom + 1;
	BView *view = new BView(viewRect, "main",
		B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
	BCheckBox *check = new BCheckBox(view->Bounds(), "check",
		"Please check me!", NULL);
	view->AddChild(check);
	win->AddChild(view);
	win->Show();
	app.Run();
	return 0;
}

